Create a Lidarr metadata profile
POST
/pcd/{databaseId}/lidarr-metadata-profiles
const url = 'https://example.com/api/v1/pcd/1/lidarr-metadata-profiles';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","layer":"user","primaryTypes":[{"id":1,"name":"example","allowed":true}],"secondaryTypes":[{"id":1,"name":"example","allowed":true}],"releaseStatuses":[{"id":1,"name":"example","allowed":true}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/pcd/1/lidarr-metadata-profiles \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "layer": "user", "primaryTypes": [ { "id": 1, "name": "example", "allowed": true } ], "secondaryTypes": [ { "id": 1, "name": "example", "allowed": true } ], "releaseStatuses": [ { "id": 1, "name": "example", "allowed": true } ] }'Creates a Lidarr metadata profile in the selected PCD database.
Runtime validation enforces Lidarr-specific rules including:
- case-insensitive unique profile name
- reserved name
Noneis rejected - all source categories include explicit
allowedbooleans - type/status rows in write payloads use
id,name, andallowed.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”databaseId
required
integer
PCD database ID
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Create payload for Lidarr metadata profile entities.
Full arrays are expected for each section group; runtime validation enforces:
- all known types/statuses are represented with explicit
allowedflags - at least one enabled primary, one enabled secondary, one enabled status
- reserved profile name
Noneis rejected - case-insensitive name uniqueness in the target PCD database
object
name
required
string
description
string
layer
Write target for the operation. Defaults to user.
string
primaryTypes
required
Array<object>
object
id
required
Lidarr identifier for an album or release-status entry used by write operations.
integer
name
required
Lidarr album type name
string
allowed
required
Whether the type is selected
boolean
secondaryTypes
required
Array<object>
object
id
required
Lidarr identifier for an album or release-status entry used by write operations.
integer
name
required
Lidarr album type name
string
allowed
required
Whether the type is selected
boolean
releaseStatuses
required
Array<object>
object
id
required
Lidarr release status id
integer
name
required
Lidarr release status name
string
allowed
required
Whether the status is selected
boolean
Responses
Section titled “Responses”Metadata profile created
Media typeapplication/json
object
success
required
boolean
error
string
Examplegenerated
{ "success": true, "error": "example"}Validation error
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Base layer write is not allowed
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Write failed
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}